Skip to main content

Transaction Status

GET https://api-sandbox.epag.io/payment/MY_PAYMENT_TOKEN

Description

After receiving a transaction update callback, use this GET request to retrieve the most current status of the transaction. Identify the transaction using the paymentToken.

Request

  • Path parameter:
    • paymentToken (string): The unique identifier of the transaction.

Response Body

The response will contain the following fields:

paymentToken (string): The unique identifier of the payment transaction.

  • paymentToken (string): The unique identifier of the payment transaction.
  • createdAt (string/date/yyyy-MM-dd'T'HH:mm:ss.SSS): The timestamp indicating the creation time of the transaction.
  • transactionStatus (string): The status of the payment transaction.
  • expirationDate: (string/date/yyyy-MM-dd'T'HH:mm:ss.SSS): The maximum period defined for making a payment.
  • errorCode: (string): Code for payment decline.
  • currency (string): The currency used for the transaction.
  • amount_received (number): The amount received for the transaction.
  • refunded_amount (number): The refunded amount for the transaction.
  • reference (string): The reference associated with the transaction.
  • method (string): The payment method used, e.g., "PIX".
  • confirmation_date (string/date/yyyy-MM-dd'T'HH:mm:ss.SSS): The date and time when the payment was confirmed.
  • subscription_id (string): The subscription identifier associated with the transaction.
  • customer_info (object): Information about the customer.
    • customer_contact (string): The contact information of the customer.
    • tax_id (string): The tax identification number of the customer.
    • tax_id_type (string): The type of tax identification, e.g., "CPF".
    • payer_tax_id (string): The tax identification number of the payer.
    • payer_tax_id_type (string): The type of tax identification for the payer, e.g., "CPF".
    • payer_name (string): The name of the payer.
  • cancellation_details (object): An object containing the description of the cancellation details, if any.
    • description (string): Description of the cancellation details, if applicable.
  • extra_data (object): Additional data related to the transaction.
  • refresh_token (string): The refresh token associated with the transaction.

Usage

Replace https://api-sandbox.epag.io with the base URL and MY_PAYMENT_TOKEN with the actual payment token to retrieve the status of the specific transaction.

Authorization

AUTHORIZATIONAPI Key
KeyX-Auth-Token
ValueMY_ACCESS_TOKEN

Example Request

Example Request

200 - Success
    curl --location 'https://api-sandbox.epag.io/identityValidation/CONTRACT_ID/BR/12345678909'

Example Response

Header
  Content-Type: application/json
Body
    {
"paymentToken": "2f1c0103-b6fe-4e99-864c-d20c68b97a85",
"createdAt": "2024-01-16T20:03:46.618",
"transactionStatus": "PAID",
"currency": "BRL",
"amount_received": 10,
"refunded_amount": 0,
"reference": "MY_REFERENCE_ID",
"expiration_date": "2024-01-18T20:03:46.618",
"method": "PIX",
"confirmation_date": "2024-01-16T20:03:46.618",
"subscription_id": "c0894e16-c772-476f-b617-a2375736e1ec",
"customer_info": {
"customer_contact": "[email protected]",
"tax_id": "00000000000",
"tax_id_type": "CPF"
"payer_tax_id": "12345678909"
"payer_tax_id_type": "CPF"
"payer_name": "Alice Sonnentag"
},
"errorCode": "00.00.0000",
"extra_data": {
"my-conciliation-number": "xxxxxx"
},
"refresh_token": "MY_ACCESS_TOKEN"
}